Debian Bug report logs - #510634
cups doesn't allow introspection in dbus config file

version graph

Package: cups; Maintainer for cups is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups is src:cups.

Reported by: Matthew Johnson <mjj29@debian.org>

Date: Sat, 3 Jan 2009 22:39:01 UTC

Severity: normal

Found in version cups/1.3.8-1lenny4

Fixed in version cups/1.3.9-16

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Sat, 03 Jan 2009 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 03 Jan 2009 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups doesn't allow introspection in dbus config file
Date: Sat, 03 Jan 2009 22:36:17 +0000
Package: cups
Version: 1.3.8-1lenny4
Severity: normal

The cups config file for dbus doesn't allow introspection requests.
Because all it does is send signals this isn't an RC issue, but it
should have working introspection for those signals.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 14:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 510634@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Matthew Johnson <mjj29@debian.org>, 510634@bugs.debian.org
Cc: Scott James Remnant <scott@canonical.com>
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 15:39:14 +0100
[Message part 1 (text/plain, inline)]
Hello Matthew,

Matthew Johnson [2009-01-03 22:36 +0000]:
> The cups config file for dbus doesn't allow introspection requests.
> Because all it does is send signals this isn't an RC issue, but it
> should have working introspection for those signals.

As far as I can see, cups does not need any D-BUS configuration at
all, since it does not provide any service. It only sends signals,
which are allowed by default anyway. Thus I'm going to drop the file
entirely.

Or am I missing something?

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 15:15:07 GMT) Full text and rfc822 format available.

Message #15 received at 510634@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 510634@bugs.debian.org, Scott James Remnant <scott@canonical.com>
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 15:14:06 +0000
[Message part 1 (text/plain, inline)]
On Mon Mar 23 15:39, Martin Pitt wrote:
> Hello Matthew,
> 
> Matthew Johnson [2009-01-03 22:36 +0000]:
> > The cups config file for dbus doesn't allow introspection requests.
> > Because all it does is send signals this isn't an RC issue, but it
> > should have working introspection for those signals.
> 
> As far as I can see, cups does not need any D-BUS configuration at
> all, since it does not provide any service. It only sends signals,
> which are allowed by default anyway. Thus I'm going to drop the file
> entirely.
> 
> Or am I missing something?

It should have working introspection so that clients can wont out what
signals it sends out and what their syntax is. 

Signals are all declared in an interface and emitted from an object.
That object should provide introspection if queried containing the
interface with the signals (but in this case no methods).

If that doesn't exist, it's an upstream problem, but even if it does
exist at the moment it can't be queried because of the config file
issue, which is what this bug is about.

Hope that's clearer,

Matt

-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 16:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 510634@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@canonical.com>
To: Martin Pitt <mpitt@debian.org>
Cc: Matthew Johnson <mjj29@debian.org>, 510634@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 15:53:43 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2009-03-23 at 15:39 +0100, Martin Pitt wrote:

> Matthew Johnson [2009-01-03 22:36 +0000]:
> > The cups config file for dbus doesn't allow introspection requests.
> > Because all it does is send signals this isn't an RC issue, but it
> > should have working introspection for those signals.
> 
> As far as I can see, cups does not need any D-BUS configuration at
> all, since it does not provide any service. It only sends signals,
> which are allowed by default anyway. Thus I'm going to drop the file
> entirely.
> 
Because it emits signals, it should allow for introspection of the
objects that emit the signal that details the name of the signal,
number, name and type of its arguments, etc.

This introspection is generally provided at the binding level, but you
still need the policy to allow it (it's a method call on your object).

Scott
-- 
Scott James Remnant
scott@canonical.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 16:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 16:18:05 GMT) Full text and rfc822 format available.

Message #25 received at 510634@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Matthew Johnson <mjj29@debian.org>
Cc: 510634@bugs.debian.org, Scott James Remnant <scott@canonical.com>
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 17:12:12 +0100
[Message part 1 (text/plain, inline)]
Hello Matthew,

Matthew Johnson [2009-03-23 15:14 +0000]:
> It should have working introspection so that clients can wont out what
                                                           ^^^^
This is "find", I presume.

> signals it sends out and what their syntax is. 

Right, I understand. However...

> Signals are all declared in an interface and emitted from an object.

That's what I meant, there is nothing to query *against*. cupsd does
not provide any d-bus object. It opens the bus, fires the signal, and
tears it down again. It's really very primitive.

So with no d-bus service being present, I still don't see a way how to
write a policy for it?

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 16:21:02 GMT) Full text and rfc822 format available.

Message #30 received at 510634@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 510634@bugs.debian.org, Scott James Remnant <scott@canonical.com>
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 16:17:01 +0000
[Message part 1 (text/plain, inline)]
On Mon Mar 23 17:12, Martin Pitt wrote:
> Hello Matthew,
> 
> Matthew Johnson [2009-03-23 15:14 +0000]:
> > It should have working introspection so that clients can wont out what
>                                                            ^^^^
> This is "find", I presume.

Um... yes (-:

> > Signals are all declared in an interface and emitted from an object.
> 
> That's what I meant, there is nothing to query *against*. cupsd does
> not provide any d-bus object. It opens the bus, fires the signal, and
> tears it down again. It's really very primitive.
> 
> So with no d-bus service being present, I still don't see a way how to
> write a policy for it?

I see, well, that's a bug which should be sent upstream. At the moment
then it makes little difference as you say. When/if upstream have a
valid dbus implementation though, there should also be a policy file
which allows it.

The reason for filing the bug in the first place is that this is a
change in behaviour caused in the process of fixing a security issue.

Matt


-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#510634; Package cups. (Mon, 23 Mar 2009 16:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 23 Mar 2009 16:36:02 GMT) Full text and rfc822 format available.

Message #35 received at 510634@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@canonical.com>
To: Martin Pitt <mpitt@debian.org>
Cc: Matthew Johnson <mjj29@debian.org>, 510634@bugs.debian.org
Subject: Re: [Pkg-cups-devel] Bug#510634: cups doesn't allow introspection in dbus config file
Date: Mon, 23 Mar 2009 16:34:16 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2009-03-23 at 17:12 +0100, Martin Pitt wrote:

> > Signals are all declared in an interface and emitted from an object.
> 
> That's what I meant, there is nothing to query *against*. cupsd does
> not provide any d-bus object. It opens the bus, fires the signal, and
> tears it down again. It's really very primitive.
> 
This approach is really going to bite!

Current practice is to always explicitly name the origin bus name when
adding signal matches, many bindings are hardcoded to behave like this.

Scott
-- 
Scott James Remnant
scott@canonical.com
[signature.asc (application/pgp-signature, inline)]

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Fri, 27 Mar 2009 09:21:06 GMT) Full text and rfc822 format available.

Notification sent to Matthew Johnson <mjj29@debian.org>:
Bug acknowledged by developer. (Fri, 27 Mar 2009 09:21:12 GMT) Full text and rfc822 format available.

Message #40 received at 510634-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 510634-close@bugs.debian.org
Subject: Bug#510634: fixed in cups 1.3.9-16
Date: Fri, 27 Mar 2009 09:02:21 +0000
Source: cups
Source-Version: 1.3.9-16

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.3.9-16_i386.deb
  to pool/main/c/cups/cups-bsd_1.3.9-16_i386.deb
cups-client_1.3.9-16_i386.deb
  to pool/main/c/cups/cups-client_1.3.9-16_i386.deb
cups-common_1.3.9-16_all.deb
  to pool/main/c/cups/cups-common_1.3.9-16_all.deb
cups-dbg_1.3.9-16_i386.deb
  to pool/main/c/cups/cups-dbg_1.3.9-16_i386.deb
cups_1.3.9-16.diff.gz
  to pool/main/c/cups/cups_1.3.9-16.diff.gz
cups_1.3.9-16.dsc
  to pool/main/c/cups/cups_1.3.9-16.dsc
cups_1.3.9-16_i386.deb
  to pool/main/c/cups/cups_1.3.9-16_i386.deb
cupsys-bsd_1.3.9-16_all.deb
  to pool/main/c/cups/cupsys-bsd_1.3.9-16_all.deb
cupsys-client_1.3.9-16_all.deb
  to pool/main/c/cups/cupsys-client_1.3.9-16_all.deb
cupsys-common_1.3.9-16_all.deb
  to pool/main/c/cups/cupsys-common_1.3.9-16_all.deb
cupsys-dbg_1.3.9-16_all.deb
  to pool/main/c/cups/cupsys-dbg_1.3.9-16_all.deb
cupsys_1.3.9-16_all.deb
  to pool/main/c/cups/cupsys_1.3.9-16_all.deb
libcups2-dev_1.3.9-16_i386.deb
  to pool/main/c/cups/libcups2-dev_1.3.9-16_i386.deb
libcups2_1.3.9-16_i386.deb
  to pool/main/c/cups/libcups2_1.3.9-16_i386.deb
libcupsimage2-dev_1.3.9-16_i386.deb
  to pool/main/c/cups/libcupsimage2-dev_1.3.9-16_i386.deb
libcupsimage2_1.3.9-16_i386.deb
  to pool/main/c/cups/libcupsimage2_1.3.9-16_i386.deb
libcupsys2-dev_1.3.9-16_all.deb
  to pool/main/c/cups/libcupsys2-dev_1.3.9-16_all.deb
libcupsys2_1.3.9-16_all.deb
  to pool/main/c/cups/libcupsys2_1.3.9-16_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Mar 2009 09:35:56 +0100
Source: cups
Binary: libcups2 libcupsimage2 cups cups-client libcups2-dev libcupsimage2-dev cups-bsd cups-common cups-dbg cupsys cupsys-client cupsys-common cupsys-bsd cupsys-dbg libcupsys2 libcupsys2-dev
Architecture: source all i386
Version: 1.3.9-16
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cupsys     - Common UNIX Printing System (transitional package)
 cupsys-bsd - Common UNIX Printing System (transitional package)
 cupsys-client - Common UNIX Printing System (transitional package)
 cupsys-common - Common UNIX Printing System (transitional package)
 cupsys-dbg - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - libs
 libcups2-dev - Common UNIX Printing System(tm) - development files
 libcupsimage2 - Common UNIX Printing System(tm) - image libs
 libcupsimage2-dev - Common UNIX Printing System(tm) - image development files
 libcupsys2 - Common UNIX Printing System (transitional package)
 libcupsys2-dev - Common UNIX Printing System (transitional package)
Closes: 510634
Changes: 
 cups (1.3.9-16) unstable; urgency=low
 .
   [ Till Kamppeter ]
   * debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Fixed
     corruption of output when generating mmultiple copies of EOG or GIMP
     output files (LP: #345183).
   * debian/cups.postinst: Silenced non-fatal error messages when
     post-instyall script updates PPDs and there are PPDs not belonging to
     a CUPS queue in /etc/cups/ppd/ (LP: #345866).
 .
   [ Martin Pitt ]
   * debian/local/apparmor-profile: Drop 'm' permission for /etc/passwd and
     friends, which was a workaround for a kernel apparmor bug on i386. This is
     fixed in current kernels. Thanks to Kees Cook for pointing this out!
     (LP: #270663)
   * debian/cups.install: Do not install the unnecessary (and broken) D-BUS
     configuration file any more. All cupsd does is to send signals, which are
     allowed by default. It does not provide any D-BUS service right now. Also
     remove the obsolete file on upgrades in debian/cups.preinst.
     (Closes: #510634, LP: #318742)
   * Add logfiles_adm_readable.dpatch: Make log files readable by group "adm".
     (LP: #345953)
   * debian/changelog: Fix cruft at the end of file.
   * debian/local/apparmor-profile: Explicitly deny access to /dev/tty and
     writing access to /etc/krb5.conf, so that accesses to them do not create
     log spewage. (LP: #348556)
Checksums-Sha1: 
 99f7b233e5a1214f5543b589df8b297943313dec 1925 cups_1.3.9-16.dsc
 4989422274d6f6a77078cecd9dabc0b7149b8673 328827 cups_1.3.9-16.diff.gz
 ce9307723455f6e26bb402ee3488c7b284ce67bf 1183154 cups-common_1.3.9-16_all.deb
 27afa51054a1d9f2bfbcfdc170d2482591264a1f 59626 cupsys_1.3.9-16_all.deb
 c7849aa418d14170bd014769ca87cdeef8ec41fc 59648 cupsys-client_1.3.9-16_all.deb
 b45b1ea0bbb975849dfdbecabac94dab768bfab4 59646 cupsys-common_1.3.9-16_all.deb
 69f6328929cb5a5e5bd0ac0f3a55943366d6acf1 59644 cupsys-bsd_1.3.9-16_all.deb
 f3fceadab8a18f35fd8ccbf082cd153bcf4a7ee5 59640 cupsys-dbg_1.3.9-16_all.deb
 97e372a4d4bef6634c214ad74f89c19526230b8a 59644 libcupsys2_1.3.9-16_all.deb
 9df5cf9d0225af537f315b2a015169b38a0df63b 59656 libcupsys2-dev_1.3.9-16_all.deb
 baea69fc95f626cfc73f46280003b3ee18afc5dd 172710 libcups2_1.3.9-16_i386.deb
 62cc5a2daae4692ac89607ba1c68433fa1eba239 106678 libcupsimage2_1.3.9-16_i386.deb
 9a9374cfc82dc21e6446213896161d29b55f8098 2205650 cups_1.3.9-16_i386.deb
 dd57ed53c5fb01309cc9fdae9d2c50462d201a6a 114956 cups-client_1.3.9-16_i386.deb
 f6792eeb3af9a760a439a3e8fb372209725c3ed6 402992 libcups2-dev_1.3.9-16_i386.deb
 c0a9404858c2a5d6b6ce28aa9a07be37d1bd5443 60504 libcupsimage2-dev_1.3.9-16_i386.deb
 16f5545dbaf64ed20f156aaec940bf6046f967fe 36314 cups-bsd_1.3.9-16_i386.deb
 1eff48e10644d1117ec54ed49ae5af91a72b2279 1517264 cups-dbg_1.3.9-16_i386.deb
Checksums-Sha256: 
 9475d2d296cf4b795865e81e7b4e0bb3ca0e4c65ae9a78a04fbe0b178d720243 1925 cups_1.3.9-16.dsc
 50a0296b5b51b0b57722d64f03790c2d2f6dd3e35cc7fbff39ed6cdc2603d2bc 328827 cups_1.3.9-16.diff.gz
 25efb2d49c1f1712583caa194bb496f66b02691f67082cf2f54d428b8ac03d6d 1183154 cups-common_1.3.9-16_all.deb
 c1a0997009e1819d8591738fcb0a380a84fc85976c2126a374083b7d49c93f49 59626 cupsys_1.3.9-16_all.deb
 b15e2ce7bc3836be68414343357fb489f1c963f592969a66af4471828f13faae 59648 cupsys-client_1.3.9-16_all.deb
 e5445297d7ec8cae14c8d6eadcc2787da606b79fe2a6516d36246b9203e961d4 59646 cupsys-common_1.3.9-16_all.deb
 6c70dd6ed3b5bce0e27d9fcc6689c3c500950deb80625080a4b628bfe5f2c684 59644 cupsys-bsd_1.3.9-16_all.deb
 07d07ab701622302fcafda4b692a01b1a7e28594799973d0a0fbbf6cf5f56764 59640 cupsys-dbg_1.3.9-16_all.deb
 38fec2a53cee37d2d8c42d6a5544696a6b7a70607390ff94bc5322ccccbd39d4 59644 libcupsys2_1.3.9-16_all.deb
 c946d6f5df4277ad9d7fe8a2ce0aedf3c16494a122b071c12945ad69e51eb9e3 59656 libcupsys2-dev_1.3.9-16_all.deb
 8359bf232eb8befca86a02cf7fadb9ac69d6722160c884a4ca97d94cf2b00a89 172710 libcups2_1.3.9-16_i386.deb
 41346e3feb5c9e4a6ce8ca99719a053f438ff208b991cb481939f000343313d0 106678 libcupsimage2_1.3.9-16_i386.deb
 6b613c88aafb4d8bd06d799e974860159d08dadbf24abfc89c969cc4415b91a8 2205650 cups_1.3.9-16_i386.deb
 4fbe3dbd8a49d3e6891907a4fc82b1ff2d00ab406baac575e51b70ebe9aa29c9 114956 cups-client_1.3.9-16_i386.deb
 451fcce089da990120a54dc5d0ba4112b9ff9b82026af2ecb42bf528376f1efe 402992 libcups2-dev_1.3.9-16_i386.deb
 107ab501c1b3bd264e84eeb64ced04f1e1904089004609319ea84f0dec9b9cd1 60504 libcupsimage2-dev_1.3.9-16_i386.deb
 389e562f7d810b3a8c82fae4832f69dd75be0e270ee938d3e8430dae5cf40e21 36314 cups-bsd_1.3.9-16_i386.deb
 39514d9e676050041245af4696db820ea464bb3a7bd94c65fc578b877da8ea4b 1517264 cups-dbg_1.3.9-16_i386.deb
Files: 
 673262a85c6e92a18b0bba4cb1b817b6 1925 net optional cups_1.3.9-16.dsc
 73fcb7d514c840feab03bffa0ef842a8 328827 net optional cups_1.3.9-16.diff.gz
 d567d99614cbcc60d6d29d49db82b57d 1183154 net optional cups-common_1.3.9-16_all.deb
 b6f45cce08083283e3d9ed4aa233c4b2 59626 oldlibs extra cupsys_1.3.9-16_all.deb
 3ddda4d5c98fa40bab1909bded79ea65 59648 oldlibs extra cupsys-client_1.3.9-16_all.deb
 bd8211622e8b7347ab7f054b808aaee2 59646 oldlibs extra cupsys-common_1.3.9-16_all.deb
 a70e745f876a424d41bb3c04235cc22f 59644 oldlibs extra cupsys-bsd_1.3.9-16_all.deb
 1e770aa1d1db02215f85c2d3253eab11 59640 oldlibs extra cupsys-dbg_1.3.9-16_all.deb
 3091dbc4f4191500df2cccdf804923ac 59644 oldlibs extra libcupsys2_1.3.9-16_all.deb
 70e846ee5cca807a7bf0f154ac7c2480 59656 oldlibs extra libcupsys2-dev_1.3.9-16_all.deb
 8ef5d93a05c32c1638d2d6db2ecccd83 172710 libs optional libcups2_1.3.9-16_i386.deb
 78b2bacdbb5fdf974379607dbc4f368b 106678 libs optional libcupsimage2_1.3.9-16_i386.deb
 ae86d25faeea71733663a281f3becddd 2205650 net optional cups_1.3.9-16_i386.deb
 f53f5a830c33cc064d768e1fdfdfc96c 114956 net optional cups-client_1.3.9-16_i386.deb
 180504dc2c45fa5b073e2f3c4c486a10 402992 libdevel optional libcups2-dev_1.3.9-16_i386.deb
 e5360a8b2b4b3c866edf9eb5d60bc196 60504 libdevel optional libcupsimage2-dev_1.3.9-16_i386.deb
 1c2259a18b83f8d794eb426ffb50b73a 36314 net extra cups-bsd_1.3.9-16_i386.deb
 2536e49bccd6dbaa6d64d4c2f31f71e5 1517264 libdevel extra cups-dbg_1.3.9-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknMkr0ACgkQDecnbV4Fd/IUXQCgpL+petQ9VQV7zUTRqvLjxry7
Zi4An1hqSs0T67KX+/XujBJTeoGiYGg2
=LZY4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Sep 2009 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:05:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.